Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Class OCMvalidatorSupport.SubValidatorSupport

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
            |
            +--com.jxml.quick.ocm.OCMvalidatorSupport.SubValidatorSupport

All Implemented Interfaces:
  OCMbase.SubBase, OCMsink.SubSink, OCMvalidator.SubValidator

Direct Known Subclasses:
  QVValidate.SubValidate

Enclosing class:
  OCMvalidatorSupport

public class OCMvalidatorSupport.SubValidatorSupport
extends OCMsinkSupport.SubSinkSupport
implements OCMvalidator.SubValidator

Field Summary
`OCMsource.SubSource` | `echoSubSource` The source of the input document.

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`cl, docName, inputDoc, properties, subSource, subValidator`

Constructor Summary
`OCMvalidatorSupport.SubValidatorSupport(HashMap prior)`

Method Summary
`int` | `errorCount()` Returns the number of error messages.
`String` | `express()` Generate an XML document (or other text).
`void` | `express(PrintWriter pw)` Generate an XML document (or other text).
`void` | `expressErrors()`
`void` | `expressInputWithIDs()`
`void` | `valid()` Returns true if the document is valid.
`int` | `validTest()`

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`expressFile, getInputDoc, getInputSchemaDoc, getProperties, getSubSource, setDocName, setInputDocName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMvalidator.SubValidator
`setProperties`

Methods inherited from interface com.jxml.quick.ocm.OCMsink.SubSink
`expressFile, getInputSchemaDoc, getSubSource, setDocName, setInputDocName`

Field Detail

### echoSubSource

    public OCMsource.SubSource echoSubSource

  The source of the input document.

Constructor Detail

### OCMvalidatorSupport.SubValidatorSupport

    public OCMvalidatorSupport.SubValidatorSupport(HashMap prior)

Method Detail

### errorCount

    public int errorCount()
                   throws SAXException,
                          IOException

  Returns the number of error messages.

### expressErrors

    public void expressErrors()
                       throws SAXException,
                              IOException

### expressInputWithIDs

    public void expressInputWithIDs()
                             throws SAXException,
                                    IOException

### validTest

    public int validTest()
                  throws SAXException,
                         IOException

### valid

    public void valid()
               throws OCMinvalidException,
                      SAXException,
                      IOException

  Description copied from interface: `OCMvalidator.SubValidator`
  Returns true if the document is valid.
  Specified by:
    `valid` in interface `OCMvalidator.SubValidator`
  Following copied from interface: `com.jxml.quick.ocm.OCMvalidator.SubValidator`
  Parameters:
    `doc` - The document to be validated.

### express

    public String express()
                   throws SAXException,
                          IOException

  Description copied from interface: `OCMsink.SubSink`
  Generate an XML document (or other text).
  Specified by:
    `express` in interface `OCMsink.SubSink`
  Overrides:
    `express` in class `OCMsinkSupport.SubSinkSupport`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Returns:
    The XML representation

### express

    public void express(PrintWriter pw)
                 throws SAXException,
                        IOException

  Description copied from interface: `OCMsink.SubSink`
  Generate an XML document (or other text).
  Specified by:
    `express` in interface `OCMsink.SubSink`
  Overrides:
    `express` in class `OCMsinkSupport.SubSinkSupport`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Parameters:
    `PW` - PrintWriter where the XML document is to be written.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD